CK_HT_RESET_SPMC(3)

NAME
ck_ht_reset_size_spmc - remove all entries from a hash table and reset size

LIBRARY
Concurrency Kit (libck, -lck)

SYNOPSIS
#include <ck_ht.h>
bool
ck_ht_reset_size_spmc(ck_ht_t *ht, uint64_t capacity);

DESCRIPTION
The ck_ht_reset_size_spmc() function will remove all key-value pairs stored in the hash table pointed to by the ht argument and create a new generation of the hash table that is preallocated for capacity entries.

RETURN VALUES
If successful, ck_ht_reset_size_spmc() will return true and will otherwise return false. This function will only fail if a replacement hash table could not be allocated internally.

SEE ALSO
ck_ht_stat(3), ck_ht_init(3), ck_ht_destroy(3), ck_ht_hash(3), ck_ht_hash_direct(3), ck_ht_set_spmc(3), ck_ht_put_spmc(3), ck_ht_gc(3), ck_ht_get_spmc(3), ck_ht_grow_spmc(3), ck_ht_remove_spmc(3), ck_ht_count(3), ck_ht_entry_empty(3), ck_ht_entry_key_set(3), ck_ht_entry_key_set_direct(3), ck_ht_entry_key(3), ck_ht_entry_key_length(3), ck_ht_entry_value(3), ck_ht_entry_set(3), ck_ht_entry_set_direct(3), ck_ht_reset_spmc(3), ck_ht_entry_key_direct(3), ck_ht_entry_value_direct(3), ck_ht_iterator_init(3), ck_ht_next(3)

Additional information available at http://concurrencykit.org/